import React from 'react';
import { horizontalTabsConfig, verticalTabsConfig, component, mergeConfig } from '@salutejs/plasma-new-hope/styled-components';
import { config as horizontalConfig } from './horizontal/HorizontalTabs.config';
import { config as verticalConfig } from './vertical/VerticalTabs.config';
const mergedHorizontalTabsConfig = mergeConfig(horizontalTabsConfig, horizontalConfig);
const mergedVerticalTabsConfig = mergeConfig(verticalTabsConfig, verticalConfig);
const HorizontalTabs = component(mergedHorizontalTabsConfig);
const VerticalTabs = component(mergedVerticalTabsConfig);
/**
 * Контейнер вкладок, основной компонент для пользовательской сборки вкладок.
 */ export const Tabs = (props)=>{
    if (props.orientation === 'vertical') {
        return /*#__PURE__*/ React.createElement(VerticalTabs, props);
    }
    return /*#__PURE__*/ React.createElement(HorizontalTabs, props);
};
